apiVersion: v1
kind: Pod
metadata:
  annotations:
    cdi.kubevirt.io/storage.createdByController: "yes"
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.2.170/23"],"mac_address":"0a:58:0a:81:02:aa","routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.129.2.1"},{"dest":"169.254.169.5/32","nextHop":"10.129.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.2.1"}],"ip_address":"10.129.2.170/23"}}'
    k8s.v1.cni.cncf.io/networks: '[{"name":"localnet-network","namespace":"mtv-test","default-route":["192.168.50.1"]}]'
    linkerd.io/inject: disabled
    openshift.io/scc: containerized-data-importer
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
    sidecar.istio.io/inject: "false"
  creationTimestamp: "2025-02-17T06:57:41Z"
  labels:
    app: containerized-data-importer
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: cdi-controller
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.16.6
    cdi.kubevirt.io: importer
    prometheus.cdi.kubevirt.io: "true"
  name: importer-prime-05557c5c-71ce-462a-936d-50fad64bd91c-checkpoint-snapshot-2585
  namespace: mtv-test
  ownerReferences:
  - apiVersion: v1
    blockOwnerDeletion: true
    controller: true
    kind: PersistentVolumeClaim
    name: prime-05557c5c-71ce-462a-936d-50fad64bd91c
    uid: c3dd3db8-57ad-4894-9102-937a7b700872
  resourceVersion: "12183837"
  uid: c8920ab5-9b37-4b98-ad1f-bb2ad0775c0b
spec:
  containers:
  - args:
    - -v=1
    env:
    - name: IMPORTER_SOURCE
      value: vddk
    - name: IMPORTER_ENDPOINT
      value: https://10.6.46.213/sdk
    - name: IMPORTER_CONTENTTYPE
      value: kubevirt
    - name: IMPORTER_IMAGE_SIZE
      value: "18179755751"
    - name: OWNER_UID
      value: 05557c5c-71ce-462a-936d-50fad64bd91c
    - name: FILESYSTEM_OVERHEAD
      value: "0.055"
    - name: INSECURE_TLS
      value: "false"
    - name: IMPORTER_DISK_ID
    - name: IMPORTER_UUID
      value: 421c102f-9ca0-4b3b-7c39-e23d38e74463
    - name: IMPORTER_PULL_METHOD
    - name: IMPORTER_READY_FILE
    - name: IMPORTER_DONE_FILE
    - name: IMPORTER_BACKING_FILE
      value: '[nfs-us-mtv-v7] mtv-function-rhel8/mtv-function-rhel8.vmdk'
    - name: IMPORTER_THUMBPRINT
      value: 37:6B:66:DB:90:B7:C4:EA:78:2B:D2:02:8A:92:AD:06:9D:C5:10:CD
    - name: http_proxy
    - name: https_proxy
    - name: no_proxy
    - name: IMPORTER_CURRENT_CHECKPOINT
      value: snapshot-2585
    - name: IMPORTER_PREVIOUS_CHECKPOINT
    - name: IMPORTER_FINAL_CHECKPOINT
      value: "false"
    - name: PREALLOCATION
      value: "false"
    - name: CACHE_MODE
    - name: IMPORTER_ACCESS_KEY_ID
      valueFrom:
        secretKeyRef:
          key: accessKeyId
          name: mtv-1645-vm-662-xl7nh
    - name: IMPORTER_SECRET_KEY
      valueFrom:
        secretKeyRef:
          key: secretKey
          name: mtv-1645-vm-662-xl7nh
    image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:4e62082faf03c376ec1fd1cc54979304353e6e271be597c65c2303cae2b09841
    imagePullPolicy: IfNotPresent
    name: importer
    ports:
    - containerPort: 8443
      name: metrics
      protocol: TCP
    resources:
      limits:
        cpu: 750m
        memory: 600M
      requests:
        cpu: 100m
        memory: 60M
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        type: RuntimeDefault
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /data
      name: cdi-data-vol
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-mchpp
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-2wd9b
  initContainers:
  - image: quay.io/libvirt_v2v_cnv/vddk:7.0.3
    imagePullPolicy: IfNotPresent
    name: vddk-side-car
    resources: {}
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        type: RuntimeDefault
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /opt
      name: vddk-vol-mount
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-mchpp
      readOnly: true
  nodeName: qemtv-07-mt2jm-worker-0-rrwj4
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: OnFailure
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    seLinuxOptions:
      level: s0:c28,c2
    seccompProfile:
      type: RuntimeDefault
    supplementalGroups:
    - 1000760000
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: cdi-data-vol
    persistentVolumeClaim:
      claimName: prime-05557c5c-71ce-462a-936d-50fad64bd91c
  - emptyDir: {}
    name: vddk-vol-mount
  - name: kube-api-access-mchpp
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-02-17T06:57:42Z"
    status: "False"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-02-17T06:57:42Z"
    message: 'containers with incomplete status: [vddk-side-car]'
    reason: ContainersNotInitialized
    status: "False"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-02-17T06:57:42Z"
    message: 'containers with unready status: [importer]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-02-17T06:57:42Z"
    message: 'containers with unready status: [importer]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-02-17T06:57:42Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - image: registry.redhat.io/container-native-virtualization/virt-cdi-importer-rhel9@sha256:4e62082faf03c376ec1fd1cc54979304353e6e271be597c65c2303cae2b09841
    imageID: ""
    lastState: {}
    name: importer
    ready: false
    restartCount: 0
    started: false
    state:
      waiting:
        reason: PodInitializing
  hostIP: 192.168.0.28
  hostIPs:
  - ip: 192.168.0.28
  initContainerStatuses:
  - image: quay.io/libvirt_v2v_cnv/vddk:7.0.3
    imageID: ""
    lastState: {}
    name: vddk-side-car
    ready: false
    restartCount: 0
    started: false
    state:
      waiting:
        reason: PodInitializing
  phase: Pending
  qosClass: Burstable
  startTime: "2025-02-17T06:57:42Z"
